Skip to main content
DELETE
/
seat-metrics
/
{id}
Delete a seat metric
curl --request DELETE \
  --url https://eu.sequencehq.com/api/seat-metrics/{id} \
  --header 'Authorization: <authorization>'
import requests

url = "https://eu.sequencehq.com/api/seat-metrics/{id}"

headers = {"Authorization": "<authorization>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: '<authorization>'}};

fetch('https://eu.sequencehq.com/api/seat-metrics/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730",
  "seatType": "admin",
  "createdBy": "4ffd439e-32e5-4046-bb40-3cb81f40e5da",
  "label": "Administrator",
  "description": "Allows user to make admin changes over whole account",
  "createdAt": "2022-06-28T16:47:00Z",
  "updatedAt": "2022-06-28T16:47:00Z"
}
This response has no body data.
This response has no body data.
This response has no body data.
This response has no body data.

Headers

Authorization
string
required

Your API credentials. Eg. Basic {credentials}.

Sequence-Version
enum<string>

Use this header to select an API version

Available options:
2024-07-30

Path Parameters

id
string
required

id

Response

OK

id
string
required

Unique ID for this seat metric.

Example:

"bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730"

seatType
string
required

Immutable, unique value used to identify and refer to this seat type when submitting events.

Example:

"admin"

label
string
required

Friendly, customer-facing name for this seat metric.

Example:

"Administrator"

createdAt
string
required

The time at which this seat metric was created. Formatted as an ISO 8601 timestamp.

Example:

"2022-06-28T16:47:00Z"

updatedAt
string
required

The time at which this seat metric was updated. Formatted as an ISO 8601 timestamp.

Example:

"2022-06-28T16:47:00Z"

createdBy
string

The ID of the Sequence user who created this seat metric.

Example:

"4ffd439e-32e5-4046-bb40-3cb81f40e5da"

description
string

Optional description for this seat metric.

Example:

"Allows user to make admin changes over whole account"